Ask Your Question
0

MySQL workbench doesn't work on Fedora 25 [closed]

asked 2017-01-03 12:51:24 -0500

So I've downloaded MySQL Workbench's rpm from their site, which specifies it's a F24 release. When I try to install it I get the following errors:

sudo rpm -ivh mysql-workbench-community-6.3.8-1.fc24.x86_64.rpm  
warning: mysql-workbench-community-6.3.8-1.fc24.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
        python-paramiko >= 1.15.1 is needed by mysql-workbench-community-6.3.8-1.fc24.x86_64

I have python3-paramiko (from the official Fedora repo, which is version 2.1.1) installed, and yet their package still complains about it.

One thing I've tried was downloading and installing MySQL's official F25 repo, but now it tries to override my current MariaDB installation, which is undesirable (and yes, Workbench works with MariaDB, so no problem there).

Can anyone help?

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by galvao
close date 2017-01-03 12:58:30.094642

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-01-03 12:57:46 -0500

OK, nevermind, solved it:

  1. You need to follow their instructions to enable extra MySQL Community repos;
  2. Then install mysql-workbench-community-6.3.8-1.fc24.x86_64.rpm;
  3. It's python2-paramiko (which installs by default as a requirement).
edit flag offensive delete link more

Comments

1) Enable the MySQL repo. 2) dnf install mysql-workbench-community 3) Disable the repos to keep mariadb: /etc/yum.repos.d/mysql-community-source.repo and /etc/yum.repos.d/mysql-community.repo

dsh gravatar imagedsh ( 2018-02-08 09:35:23 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2017-01-03 12:51:24 -0500

Seen: 4,420 times

Last updated: Jan 03 '17